SingleRowReader
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SingleRowReader

    java.lang.Object
      org.postgresql.pljava.jdbc.AbstractResultSet
          org.postgresql.pljava.jdbc.ObjectResultSet
              org.postgresql.pljava.jdbc.SingleRowResultSet
                  org.postgresql.pljava.jdbc.SingleRowReader

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.Wrapper

    public class SingleRowReader

extends SingleRowResultSet

A single row, read-only ResultSet, specially made for functions and procedures that takes complex types as arguments (PostgreSQL 7.5 and later).

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`SingleRowReader(long pointer, TupleDesc tupleDesc)`

Method Summary
`protected void` | `_free(long pointer)`
`void` | `cancelRowUpdates()` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `close()`
`void` | `deleteRow()` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `finalize()`
`int` | `getConcurrency()` Returns `ResultSet.CONCUR_READ_ONLY`.
`protected java.lang.Object` | `getObjectValue(int columnIndex)`
`protected TupleDesc` | `getTupleDesc()`
`void` | `insertRow()` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `moveToInsertRow()` This feature is not supported on a `ReadOnlyResultSet`.
`boolean` | `rowUpdated()` Always returns false.
`void` | `updateObject(int columnIndex, java.lang.Object x)` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `updateObject(int columnIndex, java.lang.Object x, int scale)` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `updateRow()` This feature is not supported on a `ReadOnlyResultSet`.

Methods inherited from class org.postgresql.pljava.jdbc.SingleRowResultSet
`absolute, afterLast, beforeFirst, findColumn, first, getFetchDirection, getFetchSize, getMetaData, getRow, getType, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, next, previous, relative, rowDeleted, rowInserted, setFetchDirection, setFetchSize`

Methods inherited from class org.postgresql.pljava.jdbc.ObjectResultSet
`clearWarnings, getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getDate, getDouble, getFloat, getInt, getLong, getNumber, getObject, getObject, getObjectValue, getRef, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, getValue, getValue, getWarnings, refreshRow, updateArray, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNull, updateRef, updateShort, updateString, updateTime, updateTimestamp, wasNull`

Methods inherited from class org.postgresql.pljava.jdbc.AbstractResultSet
`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCursorName, getDate, getDate, getDouble, getFloat, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRef, getRowId, getRowId, getShort, getSQLXML, getSQLXML, getStatement, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, isClosed, isWrapperFor, unwrap, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateObject, updateObject, updateRef, updateRowId, updateRowId, updateShort, updateSQLXML, updateSQLXML, updateString, updateTime, updateTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleRowReader

    public SingleRowReader(long pointer,
                           TupleDesc tupleDesc)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### close

    public void close()

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### getObjectValue

    protected java.lang.Object getObjectValue(int columnIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getObjectValue` in class `ObjectResultSet`
  Throws:
    `java.sql.SQLException`

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  Returns `ResultSet.CONCUR_READ_ONLY`.

  Specified by:
    `getConcurrency` in interface `java.sql.ResultSet`
  Overrides:
    `getConcurrency` in class `SingleRowResultSet`
  Throws:
    `java.sql.SQLException`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Specified by:
    `deleteRow` in interface `java.sql.ResultSet`
  Overrides:
    `deleteRow` in class `SingleRowResultSet`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Specified by:
    `insertRow` in interface `java.sql.ResultSet`
  Overrides:
    `insertRow` in class `SingleRowResultSet`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Specified by:
    `moveToInsertRow` in interface `java.sql.ResultSet`
  Overrides:
    `moveToInsertRow` in class `SingleRowResultSet`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Specified by:
    `updateRow` in interface `java.sql.ResultSet`
  Overrides:
    `updateRow` in class `SingleRowResultSet`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  Always returns false.

  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Overrides:
    `updateObject` in class `SingleRowResultSet`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### getTupleDesc

    protected final TupleDesc getTupleDesc()

  Specified by:
    `getTupleDesc` in class `SingleRowResultSet`

### _free

    protected void _free(long pointer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT